Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #808 (new defect)

Opened 15 years ago

Last modified 13 years ago

AR5006X gives HAL status 14.

Reported by: tomas@yes.nu Assigned to:
Priority: major Milestone:
Component: madwifi: other Version: v0.9.2
Keywords: AR5006X HAL status 14 Cc:
Patch is attached: 0 Pending:

Description (Last modified by mrenzmann)

Atheros card AR5006X (just X, not SX or EX) works under Windows XP, but gives a HAL status 14 under linux. It's a PCI card and not a PCMCIA.

Using Gentoo on my AMD64, I emerged the latest version of madwifi-ng and madwifi-ng-tools which is 0.9.2.

I loaded the ath_pci module without problems:

# lsmod
Module                  Size  Used by
ath_pci                85040  0
ath_rate_sample        15168  1 ath_pci
wlan                  176944  2 ath_pci,ath_rate_sample
ath_hal               218416  2 ath_pci,ath_rate_sample

dmesg gives this:

[134348.766876] ath_hal: 0.9.17.2 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
[134348.772352] wlan: 0.8.4.2 (0.9.2)
[134348.773221] ath_rate_sample: 1.2 (0.9.2)
[134348.776540] ath_pci: 0.9.4.5 (0.9.2)
[134348.776797] wifi%d: unable to attach hardware: 'Hardware self-test failed' (HAL status 14)

wlanconfig gives the following:

# wlanconfig ath0 create wlandev wifi0 wlanmode sta
wlanconfig: ioctl: No such device

ifconfig and iwconfig gives nothing.

# lspci -vv
02:06.0 Ethernet controller: Atheros Communications, Inc. AR5006X 802.11abg NIC (rev 01)
Subsystem: Lite-On Communications Inc Unknown device 5001
Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Interrupt: pin A routed to IRQ 185
Region 0: Memory at dffe0000 (32-bit, non-prefetchable) [size=64K]
Capabilities: [44] Power Management version 2
Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
Status: D0 PME-Enable- DSel=0 DScale=2 PME-

Change History

08/08/06 15:49:45 changed by kelmo

Please please please take some small moment to visit the sandbox, and format code and debug out put inside groups of 3 curly braces. Else its quite hard to read the output.

08/08/06 20:22:47 changed by mrenzmann

  • description changed.

We should make the hint for WikiFormatting big, bold and blinking to catch the attention of the anonymous audience ;)

/me now hides again in the remaining days of his vacation

08/09/06 09:35:12 changed by tomas@yes.nu

Thank you mrenzmann and I'm sorry I didn't format it correct. If I post here again, Ill be damn sure to do it ;) Sorry.

09/17/06 10:52:07 changed by tvrtko@ursulin.net

Exactly the same symptoms. Card works under WinXP but fails with 'HAL status 14' under Linux. Tested under openSUSE 10.1 i386, kenrnel 2.6.16.21-0.21-default.

Tested with 0.9.2 and latest (as of this writting) SVN checkout.

lspci -vv:

02:08.0 Ethernet controller: Atheros Communications, Inc. AR5006X 802.11abg NIC (rev 01)
        Subsystem: Lite-On Communications Inc Unknown device 5001
        Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 169
        Region 0: Memory at fdce0000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [44] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=2 PME-

dmesg:

ath_hal: module not supported by Novell, setting U taint flag.
ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
wlan: module not supported by Novell, setting U taint flag.
wlan: 0.8.4.2 (svn r1716)
ath_rate_sample: module not supported by Novell, setting U taint flag.
ath_rate_sample: 1.2 (svn r1716)
ath_pci: module not supported by Novell, setting U taint flag.
ath_pci: 0.9.4.5 (svn r1716)
ACPI: PCI Interrupt 0000:02:08.0[A] -> GSI 22 (level, low) -> IRQ 169
wifi%d: unable to attach hardware: 'Hardware self-test failed' (HAL status 14)

09/17/06 12:04:58 changed by anonymous

In both cases the "BusMaster?" flag is not set, but as far as I know the chipsets need to be able to run as BusMaster?. Can you (both) please try to switch the card to another PCI slot?

09/17/06 12:17:37 changed by tvrtko@ursulin.net

Unfortunately it's the only PCI slot I have - HP Pavilion s7510.

09/21/06 21:12:03 changed by tvrtko@ursulin.net

Another update, BusMaster? is a red herring. It is being reset by ath_pci.ko when loaded. Below you'll find two lspci output, before and after loading the ath_pci module.

Hope you'll find this useful.

02:08.0 Ethernet controller: Atheros Communications, Inc. AR5006X 802.11abg NIC (rev 01)
        Subsystem: Lite-On Communications Inc Unknown device 5001
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 64 (2500ns min, 7000ns max), Cache Line Size 08
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at fdce0000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [44] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=2 PME-

02:08.0 Ethernet controller: Atheros Communications, Inc. AR5006X 802.11abg NIC (rev 01)
        Subsystem: Lite-On Communications Inc Unknown device 5001
        Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 16
        Region 0: Memory at fdce0000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [44] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=2 PME-

11/19/06 23:01:31 changed by fab.mariotti@gmail.com

Same symptoms. HP pavilion media center. AR5006X. Are there any news about this? I tried a couple of madwifi versions. I'll do a more systematic check and report if there are no nice news.

Actually: I am running a FC5-i686 on a 64 bit processor i.e. athlon64 X2..

Can it be any problem due to 32/64 bit interaction?

11/20/06 07:45:49 changed by mrenzmann

Probably a 64bit-only problem, since I have an AR5006X (DCMA81, out of my mind) running fine here on a 32bit x86 (Athlon XP) with MadWifi 0.9.2.

11/20/06 08:16:54 changed by tvrtko@ursulin.net

I don't think its a 64-bit only problem since I am running a 32-bit distro/kernel from day one. (look at my original comment from 17th Septempber 2006)

11/23/06 20:42:44 changed by mdamt at mnots dot eu

HP Pavilion m7540/EdgyEft/2.6.17-10-generic/i686 mode

dmesg:

[17179583.300000] ath_hal: module license 'Proprietary' taints kernel.
[17179583.300000] ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
[17179583.632000] ath_rate_sample: 1.2 (svn r1820)
[17179583.668000] ath_pci: 0.9.4.5 (svn r1820)

lspci -vv:

04:00.0 Ethernet controller: Atheros Communications, Inc. AR5006X 802.11abg NIC (rev 01)
        Subsystem: Lite-On Communications Inc Unknown device 5001
        Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 58
        Region 0: Memory at febf0000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [44] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=2 PME-

The card has been moved to another slot but still the BusMaster? is inactive.

11/26/06 12:45:46 changed by fab.mariotti@gmail.com

Got it working! But do not know yet how/why :( used RHEL4 with full upgrade + madwifi-ng-r1816-20061118

Summary: HW: HP pavilion multimedia center TV PC/m7695.ch

AMD Athlon(tm) 64 X2 Dual Core Processor 4200+

FC5/6 (out of the box or full upgrade) get the error madwifi versions tested: madwifi-0.9.2 madwifi-ng-r1352-20051211 madwifi-ng-r1717+845-20060919 madwifi-ng-r1816-20061118

RHEL4

out of the box: do not compile asis Error in: (r1816-20061118)/ieee80211_wireless.c

Undefined get_wireless_stats at line 5255

Has an #if WIRELESS_EXT >= 17 removing the line with get_wireless_stats in the code it compiles but get back to the HAL 14 error. About WIRELESS_EXT I had quick look in some .h file and looks like there are inconsistence but not sure.

RHEL4 full upgrade/full packages installed (I downloaded a 30 days trial license) make, make install, modprobe ath_pci from madwifi-ng-r1816-20061118 dir and everything went fine.

within the package upgraded there are: hwdata-0.146.23.EL-1 kernel-smp-2.6.9-42.0.3.EL.x86_64

I am not sure now where to look at in order to undestand it. Any suggestion?

11/26/06 12:48:08 changed by fab.mariotti@gmail.com

Sorry for the formatting: I am not used to it.

11/26/06 15:41:22 changed by fab.mariotti@gmail.com

An update: Got troubles again after reboot...

After reboot the module gave again HAL 14 error. In particular kudzu recognized a new ardware and I tried automatic configuration.

In order to have it working again I had to:

remove added lines in /etc/modprobe.conf

alias eth0 forcedeth (and/or)

alias eth0 ath_pci

reset the various eth0-ifcfg

remove the NETWORK class in /etc/sysconfig/hwconf

uninstall the module and reboot.

after all the cleanup and reboot I run: make clean; make; make install; modprobe ath_pci

and the module loads again with no errors. I guess that if I reboot now I will have the error code again. I'll let you know (i have only this machine here.)

Any clue?

01/18/07 23:38:41 changed by anonymous

I have exactly the same problem with a HP Pavilion Slimline, dmesg gives
wifi%d: unable to attach hardware: 'Hardware self-test failed' (HAL status 14)
However the card works perfectly using ndiswrapper and the driver from windows xp.

I find that before I load ath_pci lspci -vv gives the following control line:
Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
after I load ath_pci it gives
Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B+
and when I load ndiswrapper it gives:
Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B+

Notice that Mem+ goes to Mem- and BusMaster?+ goes to Busmaster+ when ath_pci is loaded and I suspect that is what is causing the test to fail.

I am using an unmodified 2.6.18.1 kernel, and the motherboard has an ATI Technologies Inc IXP SB400 PCI-PCI Bridge.

01/22/07 09:46:34 changed by Michael Busby

I am getting the same Hal Status 14 error, if i remove the card from the box, start up the machine, then shut it down, put the card back in then start up, the card works fine until the next reboot, any ideas how to fix this issue? its a mini-pci card, i am just waiting for a mini=pci to pci adapter to try the card in a different box

03/13/07 10:41:28 changed by cjdr@vodafone.es

I see the same error, and i move the card to another pcmcia slot and works

04/04/07 17:48:48 changed by anonymous

I'm working with a friend who has a HP m7760n dual boot with Vista/SuSe10.2 The card works fine in Vista but no go even with madwifi-ng-r2250. The base madwifi-0.9.3 didn't work either.

/var/log/messages shows: kernel: ath_hal: module license 'Proprietary' taints kernel. kernel: ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413) kernel: wlan: 0.8.4.2 (0.9.3) kernel: ath_pci: 0.9.4.5 (0.9.3) kernel: ACPI: PCI Interrupt 0000:01:03.0[A] -> GSI 19 (level, low) -> IRQ 177 kernel: wifi%d: unable to attach hardware: 'Hardware self-test failed' (HAL status 14) Apr 2 20:52:51 l-ws-1 kernel: ACPI: PCI interrupt for device 0000:01:03.0 disabled

Seeing the ACPI error there, we tried disabling ACPI via a kernel boot option. Still didn't work. There is no setting for ACPI in the BIOS.

Since this system uses all 3 PCI slots, it's kinda hard to try swapping them around to see if we can get it working in both Vista and SuSe?10.2

05/28/07 17:07:34 changed by anonymous

Same here on my machine (HP Pavillion t3551.de):

lspci -vv

03:0a.0 Ethernet controller: Atheros Communications, Inc. AR5006X 802.11abg NIC (rev 01)
        Subsystem: Lite-On Communications Inc Unknown device 5001
        Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 18
        Region 0: Memory at fdde0000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: <access denied>

lspci -n

03:0a.0 0200: 168c:001b (rev 01)

dmesg

[   45.875790] wlan: 0.8.4.2 (0.9.3)
[   45.894902] ath_pci: 0.9.4.5 (0.9.3)
[   45.895552] ACPI: PCI Interrupt Link [APC3] enabled at IRQ 18
[   45.895563] ACPI: PCI Interrupt 0000:03:0a.0[A] -> Link [APC3] -> GSI 18 (level, low) -> IRQ 18
[   45.895995] wifi%d: unable to attach hardware: 'Hardware self-test failed' (HAL status 14)
[   45.896012] ACPI: PCI interrupt for device 0000:03:0a.0 disabled

(follow-up: ↓ 21 ) 06/30/07 03:22:05 changed by fab.mariotti@gmail.com

mm... sorry but as before I didn't get it working.

I do have the same machine, FC6 with full ugrad (up to date)e. Same error.

But maybe we should start to restrict the error.

It looks like that the AR5006X does work.

Do we all have an HP machine here?

I did read about some BIOS problems somewhere: might it be that, while it is still an interesting problem for a driver set like madwifi, we do look for a solution in the wrong place?

Do we all have actually HP machines here?

soon F

(in reply to: ↑ 20 ) 07/09/07 09:36:51 changed by bob.deblier@telenet.be

Same problem here, but with Gentoo x86_64:

ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)

ath_pci: 0.9.4.5 (0.9.3.1)
ACPI: PCI Interrupt 0000:04:08.0[A] -> Link [APC1] -> GSI 16 (level, low) -> IRQ 16
wifi%d: unable to attach hardware: 'Hardware self-test failed' (HAL status 14)
ACPI: PCI interrupt for device 0000:04:08.0 disabled

Output from lspci -vv after loading of ath_pci:

04:08.0 Ethernet controller: Atheros Communications, Inc. AR5212 802.11abg NIC (rev 01)
        Subsystem: D-Link System Inc Unknown device 3a08
        Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR+
        Interrupt: pin A routed to IRQ 16
        Region 0: Memory at fdbe0000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [44] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=2 PME-

07/17/07 17:03:18 changed by chiby

very same issue here...

- hp media center m8095a

- ubuntu 7.04 (amd64) with restricted drivers (madwifi 0.9.2+dfsg-1)

08/21/07 18:11:31 changed by sergio.pasra@gmail.com

The same problem:

  • HP-Pavilion m7775.es
  • Fedora 7 x86_64 (kernel 2.6.22.1-41)
  • madwifi-0.9.3.1

08/28/07 14:26:59 changed by anonymous

I do have the exact same problem with a HP Pavilion d4495.se, madwifi-0.9.3.2, kernel 2.6.21

09/07/07 02:57:34 changed by anonymous

exact problem here on tyan tiger smp 2.6.22 debian etch. acpi error and hal 14. must linux be so high maintenance?

09/07/07 03:01:17 changed by anonymous

except ar5212, that is. module installs but ifconfig and iwconfig do not find ath0 device.

10/09/07 09:28:03 changed by anonymous

Same troubles as mentionned above with HP M7780 and a WN5301A-H1 V2 wifi card (recognized as AR 5600X).

10/24/07 01:53:18 changed by anonymous

same problem here with HP m7760n on Ubuntu Gutsy

10/24/07 06:17:59 changed by mrenzmann

Maybe all these are other cases of what is documented in #1192?

Summary: Many AR5007 cards seem to use the PCI ID of AR5006 cards (which is wrong). MadWifi has no AR5007 support yet, thus trying to make an AR5007 card work you end up with an HAL error. Most people tend to determine the chipset on their card by looking at what lspci guesses, but because the wrongly assigned PCI ID lspci fails. Et voila, people think that AR5006 support is broken.

#1192 explains how to use the new ath_info tool for determining the actual chipset revisions on a card. It would be great if you guys could try that to verify whether your cards really are AR5006-based.

10/30/07 21:45:02 changed by sven@meiers.net

This is the output of ath_info on my machine (HP Pavillion t3551.de, details see above):

sven@hal:~/Desktop/madwifi-ng-r2717-20071002/tools$ sudo ./ath_info 0xfdde0000
 -==Device Information==-
MAC Version:  2424 (0xa0)
MAC Revision: 2424 (0xa2)
PHY Revision: 5110 (0x0)
PHY Revision: 5110 (0x0)
 -==EEPROM Information==-
EEPROM Version:     5.3
EEPROM Size:        16K
Regulatory Domain:  0x67
 -==== Capabilities ====-
|  802.11a Support: no   |
|  802.11b Support: yes  |
|  802.11g Support: yes  |
|  RFKill  Support: no   |
|  32KHz   Crystal: no   |
 ========================
GPIO registers: CR 00000000 DO 1000000000 DI a200000010

11/22/07 10:46:40 changed by carboncopy

Hi!

I am having the same problem on Efika. A single board computer with MPC5200B PowerPC processor. Below is the cpuinfo and snippets of dmesg. As well as lspci -vv

utux:/proc# cat cpuinfo 
processor       : 0
cpu             : G2_LE
clock           : 396.000000MHz
revision        : 1.4 (pvr 8082 2014)
bogomips        : 65.79
timebase        : 33000000
platform        : Efika
machine         : EFIKA5K2 CHRP PowerPC System
revision        : 2B3
vendor          : bplan
utux:/proc# dmesg
Using Efika machine description
Linux version 2.6.21.7-Efika (root@utux) (gcc version 4.1.2 20061115 (prerelease) (Debian 4.1.1-21)) #1 Thu Nov 15 16:40:40 MYT 2007

ath_hal: module license 'Proprietary' taints kernel.
ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413, REGOPS_FUNC)
wlan: 0.8.4.2 (0.9.3.3)
ath_pci: 0.9.4.5 (0.9.3.3)
PCI: Enabling device 0000:00:18.0 (0000 -> 0002)
wifi%d: unable to attach hardware: 'Hardware self-test failed' (HAL status 14)
utux:/proc# lspci -vv
00:18.0 Ethernet controller: Atheros Communications, Inc. AR5212 802.11abg NIC (rev 01)
        Subsystem: D-Link System Inc Unknown device 3213
        Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR+
        Interrupt: pin A routed to IRQ 16
        Region 0: Memory at 80000000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [44] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=2 PME-

00:1c.0 Bridge: Motorola MPC5200B
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR+
        Latency: 248, Cache Line Size: 32 bytes

11/25/07 16:51:57 changed by curly boi

same issue here: HP Compaq nx6125, one PCMCIA and one PCI Express slot, Using up-to-date stable (0.9.3.3 i guess) madwifi patched for injection with aireplay,

lspci -vv gives:

03:00.0 Ethernet controller: Atheros Communications, Inc. AR5212 802.11abg NIC (rev 01)
        Subsystem: Wistron NeWeb Corp. Wistron NeWeb WLAN a+b+g model CB9
        Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR+
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at 34000000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [44] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=270mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=2 PME-

while dmesg gives:

pccard: CardBus card inserted into slot 0
PCI: Enabling device 0000:03:00.0 (0000 -> 0002)
ACPI: PCI Interrupt 0000:03:00.0[A] -> Link [C0F4] -> GSI 11 (level, low) -> IRQ 11
MadWifi: unable to attach hardware: 'Hardware self-test failed' (HAL status 14)
ACPI: PCI interrupt for device 0000:03:00.0 disabled

actually this is a bit strange, i got it working a few times (seemed quite randomly to me) at least for capturing in monitor mode, but everytime i got to packet injection, i got kernel panic (i think it was, cos i was running kde, and my notebook freezed keeping capslock flashing...). i am running backtrack2, which is based on slax/slackware with kernel 2.6.20. older versions worked fine with this card, i just dont know which of them :D and i am really not happy about downgrading. please devs, is there at least known reason for this, or this thread is unwatched?

03/17/08 03:32:45 changed by ralf.fehlau@gmx.net

same issue with a D-Link DWL-G520 card. Normally this card is well supported.

ath_hal: module license 'Proprietary' taints kernel.
ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
ath_pci: 0.9.4.5 (0.9.3.3)
wifi%d: unable to attach hardware: 'Hardware self-test failed' (HAL status 14)

My card is PCI ID 168c:0013 (rev 01), but has a newer firmware revision 4.40. Last known firmware revision (on the compatibility page) is 4.31 . Maybe my problem is the newer firmware. Only on the bootscreen, i can read "firmware revision is not supported". This message was _NOT_ logged to /var/log/messages or other log files.

(follow-up: ↓ 36 ) 03/17/08 06:06:36 changed by mrenzmann

Please try if this issue also occurs with trunk. It comes with a different HAL.

03/18/08 14:36:11 changed by fab dot mariotti gmail dot com

I do not have this problem anymore! But using ath5k. After some upgrades of FC7 but I cannot say which one, I guess was the one going to use ath5k. If you need details to solve the problem for the madwifi driver let me know.

04:01.0 Ethernet controller: Atheros Communications, Inc. AR5006X 802.11abg NIC (rev 01)
        Subsystem: Lite-On Communications Inc Unknown device 5001
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 168 (2500ns min, 7000ns max), Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 18
        Region 0: Memory at febf0000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [44] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=2 PME-

(in reply to: ↑ 34 ) 03/18/08 21:03:36 changed by anonymous

Tried with trunk according to the UserDocs/FirstTimeHowTo.

No change - same error message as before (HP Pavillion t3551.de):

sven@hal:~/linux/madwifi$ dmesg | grep attach
[ 3806.521479] MadWifi: unable to attach hardware: 'Hardware self-test failed' (HAL status 14)

Only the chipset seems to be identified differently - was AR5006X before:

03:0a.0 Ethernet controller: Atheros Communications, Inc. AR5413 802.11abg NIC (rev 01)

Also a small change in ath_info (PHY Revision changed):

sven@hal:~/linux/madwifi/tools$ sudo ./ath_info  fdde0000
[sudo] password for sven:
 -==Device Information==-
MAC Version:  2424  (0xa0)
MAC Revision: 2424  (0xa2)
PHY Revision: SChip (0xb0)
 -==EEPROM Information==-
EEPROM Version:     5.3
EEPROM Size:        16K
Regulatory Domain:  0x67
 -==== Capabilities ====-
|  802.11a Support: no   |
|  802.11b Support: yes  |
|  802.11g Support: yes  |
|  RFKill  Support: no   |
|  32KHz   Crystal: no   |
 ========================
GPIO registers: CR 00000000 DO 00000000 DI 00000010

05/01/08 00:58:28 changed by fab dot mariotti gmail dot com

AR5006X - ath5k - some problems persist...
I cannot keep a stable connection:
ath5k phy0: calibration timeout (XXXXMHz).
ath5k phy0: ath5k_chan_set: unable to reset channel 1 (XXXX Mhz).
ath5k phy0: noise floor calibration timeout (XXXXMHz).

after a while I am not able to connect anymore (see further details).

But I would like to add:

  • Primo: We might need a word from a coder who might help us to report this specific trouble.

It looks to me that the problem is AR5006X specific but also a bit random depending on hardware architecture and/or kernel and/or kernel modules interaction. That is: NOT easy. Because indeed it seems to work in some cases it is not a major bug and we might be able to report on the problem a bit better if instructed.

  • Secondo: We might want to help ourself by confining the problem to AR5006X cards. (I'll double check it too ;) )

The HP machines seem to be more involved in the problem. I'll try to check (for what I can), but I guess that positive reports on working AR5006Xs might be of help too.

1) I kept writing on this ticket (madwifi: ath5k ticket?) in the hope that it might give insight to developers.

2) So, to be consistent, I write my last report unless I get called back. This is for ath5k.

The machine: HP Pavilion Media Center TV m7695.ch Desktop PC

/proc/cpuinfo - extract

vendor_id       : AuthenticAMD
model name      : AMD Athlon(tm) 64 X2 Dual Core Processor 4200+

uname

uname -a
Linux localhost.localdomain 2.6.23.15-80.fc7 #1 SMP Sun Feb 10 16:52:18 EST 2008 x86_64 x86_64 x86_64 GNU/Linux

cat /etc/redhat-release - Linux distribution

Fedora release 7 (Moonshine)

lspci -vv - extract

04:01.0 Ethernet controller: Atheros Communications, Inc. AR5006X 802.11abg NIC (rev 01)
        Subsystem: Lite-On Communications Inc Unknown device 5001
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 168 (2500ns min, 7000ns max), Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 16
        Region 0: Memory at febf0000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [44] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=2 PME-

Problem report:

The network connection is not stable: network hangs after a while. There is no easy way to debug it.

  • it looks like it is independent from having MS stuff putting it on a given state.
  • I got a second wifi router and set it up as open: no encription. The first one uses WPA
    via wpa_supplicant. It might have nothing to do with it but indeed the open connection
    seems to be more stable (It just last longer).
  • The wifi/driver, or whatever, is working randomly. For example right now I have a full (84%) wifi connection since a couple of hours. Next boot might fail. I get no particular error messages. Except for the above mentioned timeout messages. But I couldn't figure out a consistent behaviour.
  • I did try to wait for cooling down. Just in case the driver does strange stuff and heat up a bit. No changes: random behaviour. Of course I based this measure on a kind of my common sense which might be wrong. In any case the card didn't burn! Boot on XP and it does work nicely.
  • Of course I did trust fedora default parameters and 'wlan up' procedure. I.e. I boot a fedora core 7 (FC7) machine without any extra hand made changes. Namely I use, at present, NetworkManager service but I got the same behaviour using the wlassisant tool.

My personal opinion is that the card AR5006X is not fully supported and on some hardware it might simply fail or simply work. The kernel itself has little to do with it (the machine doesn't hung or misbehave) but a couple of other kernel modules might interfere. Was HAL status 14 before and it is dodgy behaviour on ath5k driver. What's special on this AR5006X card? on HP machines?

Best Fabio

06/30/08 10:26:40 changed by anonymous

I have the same kind of problem on an FC6 box. I really do not think this is a madwifi issue.

Problem was resolved when I changed PCI slot. I suspect that removing the card, rebooting, installing and rebooting may work for people not having a spare slot.

09/28/08 20:41:27 changed by anonymous

Just for the record: changing the PCI slot didn't help on my HP Pavillion t3551.de.

10/14/08 10:50:45 changed by nick

here!

I had the same problem, but now I figure it out! My OS is ubuntu and the kernel is 2.6.25.7. When I installed madwifi (just as most websites say: make; make install; modprobe ath_pci) at the first time, nothing happened but can not find the driver (ath0 and wifi0). It really depressed me. After looking for the answer for a long time, at last I changed the file /etc/default/linux-restricted-modules-common:

DISABLED_MODULES="ath_hal"

I deleted all the madwifi files which had installed. and I installed it again!

everything just goes on the way :)

I am a fresh man about linux.I do not know the exact reason. I think it is a kernel thing(HAL).

it may help you solve the problems.

10/14/08 10:54:28 changed by nick

I made a mistake. the kernel is 2.6.15.7 not 2.6.25.7

Atheros Communications, Inc. AR5212 802.11abg NIC (rev 01)

11/03/08 20:28:47 changed by rommm

Same problem here (Fedora 8), solved by changing pci slot (twice !)